Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.accessibility
Class AccessibleValueEvent

    java.lang.Object
      SWTEventObject
          org.eclipse.swt.accessibility.AccessibleValueEvent

public class AccessibleValueEvent
extends SWTEventObject

Instances of this class are sent as a result of accessibility clients sending AccessibleValue messages to an accessible object.

Since:
  1.4
See Also:
  `AccessibleValueListener`, `AccessibleValueAdapter`, Serialized Form

Field Summary
`Number` `value`

Constructor Summary
`AccessibleValueEvent(Object source)` Constructs a new instance of this class.

Method Summary
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public Number value

Constructor Detail

### AccessibleValueEvent

    public AccessibleValueEvent(Object source)

  Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Returns:
    a string representation of the event

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.